export { c as createIPX, b as createIPXH3App, a as createIPXH3Handler, e as createIPXNodeServer, f as createIPXPlainServer, d as createIPXWebServer, g as ipxFSStorage, i as ipxHttpStorage } from './shared/ipx.42c0c175.mjs';
import 'defu';
import 'image-meta';
import 'ufo';
import 'h3';
import 'destr';
import '@fastify/accept-negotiator';
import 'etag';
import 'node-fetch-native';
import 'pathe';

function unstorageToIPXStorage(storage, prefix) {
  const resolveKey = (id) => prefix + ":" + id;
  return {
    name: "ipx:" + (storage.name || "unstorage"),
    async getMeta(id, opts = {}) {
      if (!storage.getMeta) {
        return;
      }
      const storageKey = resolveKey(id);
      const meta = await storage.getMeta(storageKey, opts);
      return meta;
    },
    async getData(id, opts = {}) {
      if (!storage.getItemRaw) {
        return;
      }
      const storageKey = resolveKey(id);
      const data = await storage.getItemRaw(storageKey, opts);
      return data;
    }
  };
}

export { unstorageToIPXStorage };
